DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
OFremove_extent< T > Struct Template Reference

Metafunction to remove the extent from an array type. More...

## Detailed Description

template<typename T>
struct OFremove_extent< T >

Metafunction to remove the extent from an array type.

OFremove_extent provides a public member typedef "type" that is equal to the given parameter except existing extents are removed.

Note
  If the parameter is a multidimensional array, only the first dimension is removed.

See also
  http://en.cppreference.com/w/cpp/types/remove_extent for details.

Template Parameters

  T | The type its extents should be removed.

The documentation for this struct was generated from the following file:

- ofstd/include/dcmtk/ofstd/oftraits.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2